Skip to content

ACL ​

21 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
exportOsgCustomAclGETExport gateway custom ACL rules
deleteAclDELETEDelete ACL
getEapAclListGETGet EAP ACL list
createEapAclPOSTCreate new EAP ACL
modifyEapAclPUTModify an EAP ACL
batchDeleteOsgCustomAclsPOSTbatch Delete Osg Custom Acls
batchEditOsgCustomAclStatusPOSTbatch Edit Osg Custom Acls
modifyAclIndexPOSTModify ACL Index
getOsgAclListGETGet gateway ACL list
createOsgAclPOSTCreate new gateway ACL
modifyOsgAclPUTModify a gateway ACL
clearOsgAclHitCountsPOSTClear gateway ACL hit counts
getAclConfigTypeSettingGETGet gateway ACL config mode
modifyAclConfigTypeSettingPUTModify gateway ACL config mode
getOsgCustomAclListGETGet osg custom ACL
updateOsgCustomAclsPATCHUpdate osg custom ACLs
clearOsgHitCountsPOSTClear gateway custom ACL hit counts
modifyOsgCustomAclIndexPOSTModify gateway custom ACL index
getOswAclListGETGet switch ACL list
createOswAclPOSTCreate new switch ACL
modifyOswAclPUTModify a switch ACL

exportOsgCustomAcl ​

GET /openapi/v1/{omadacId}/files/sites/{siteId}/acls/export

Export gateway custom ACL rules

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "exportOsgCustomAcl",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Export gateway custom ACL rules
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only

deleteAcl ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/acls/{aclId}

Delete ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
aclIdpathstringyesACL ID
json
// omada_call_operation
{
  "operationId": "deleteAcl",
  "params": {
    "siteId": "<siteId>",
    "aclId": "<aclId>"
  }
}
Details, permissions and error codes

Delete ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

getEapAclList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/acls/eap-acls

Get EAP ACL list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getEapAclList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get EAP ACL list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createEapAcl ​

POST /openapi/v1/{omadacId}/sites/{siteId}/acls/eap-acls

Create new EAP ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema EapACLConfig

FieldTypeRequiredDescription
descriptionstringyesACL rule description, description should contain 1 to 512 characters.
statusbooleanyesStatus should be a value as follows: 0: disable; 1: enable
policyintegeryesPolicy should be a value as follows: 0: drop; 1: allow;
protocolsarray<integer>yesFor the values of protocols, refer to section 5.5 of the Open API Access Guide.
sourceIdsarray<string>yesSource IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
destinationIdsarray<string>noSource IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
sourceTypeintegeryesSourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group
destinationTypeintegeryesDestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group
json
// omada_call_operation
{
  "operationId": "createEapAcl",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new EAP ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

modifyEapAcl ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/acls/eap-acls/{aclId}

Modify an EAP ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
aclIdpathstringyesACL ID

Request body — application/json (required) — schema EapACLConfig

FieldTypeRequiredDescription
descriptionstringyesACL rule description, description should contain 1 to 512 characters.
statusbooleanyesStatus should be a value as follows: 0: disable; 1: enable
policyintegeryesPolicy should be a value as follows: 0: drop; 1: allow;
protocolsarray<integer>yesFor the values of protocols, refer to section 5.5 of the Open API Access Guide.
sourceIdsarray<string>yesSource IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
destinationIdsarray<string>noSource IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
sourceTypeintegeryesSourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group
destinationTypeintegeryesDestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group
json
// omada_call_operation
{
  "operationId": "modifyEapAcl",
  "params": {
    "siteId": "<siteId>",
    "aclId": "<aclId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an EAP ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

batchDeleteOsgCustomAcls ​

POST /openapi/v1/{omadacId}/sites/{siteId}/acls/gateway-acls/batch-delete

batch Delete Osg Custom Acls

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema batchIds

FieldTypeRequiredDescription
idsarray<string>yesWhen selectType is set to all, the ids do not need to be passed and all entries are processed, when selectType is set to include, the id entries contained in the ids are processed, when selectType is set to exclude, the id entries that are not contained in the ids are processed
selectTypestringnoSelectType all, include or exclude
searchKeystringnoFuzzy query parameters, support field: voucher code
json
// omada_call_operation
{
  "operationId": "batchDeleteOsgCustomAcls",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

batch Delete Osg Custom Acls
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

batchEditOsgCustomAclStatus ​

POST /openapi/v1/{omadacId}/sites/{siteId}/acls/gateway-acls/batch-edit

batch Edit Osg Custom Acls

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchEditCustomAclOpenApiVO

FieldTypeRequiredDescription
idsarray<string>yesWhen selectType is set to all, the ids do not need to be passed and all entries are processed, when selectType is set to include, the id entries contained in the ids are processed, when selectType is set to exclude, the id entries that are not contained in the ids are processed
selectTypestringnoSelectType all, include or exclude
searchKeystringnoFuzzy query parameters, support field: voucher code
logintegeryeslog status of acl.
statusintegeryesenable status of acl.
json
// omada_call_operation
{
  "operationId": "batchEditOsgCustomAclStatus",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

batch Edit Osg Custom Acls
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

modifyAclIndex ​

POST /openapi/v1/{omadacId}/sites/{siteId}/acls/modifyIndex

Modify ACL Index

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DragSortIndexOpenapiVO

FieldTypeRequiredDescription
typestringyes"gateway" or "switch" or "eap"
indexesobjectyesThe order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set.
json
// omada_call_operation
{
  "operationId": "modifyAclIndex",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify ACL Index.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

getOsgAclList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-acls

Get gateway ACL list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOsgAclList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get gateway ACL list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only

createOsgAcl ​

POST /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-acls

Create new gateway ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema GatewayACLConfig

FieldTypeRequiredDescription
descriptionstringyesACL rule description, description should contain 1 to 512 characters.
statusbooleanyesStatus should be a value as follows: 0: disable; 1: enable
policyintegeryesPolicy should be a value as follows: 0: drop; 1: allow;
protocolsarray<integer>yesFor the values of protocols, refer to section 5.5 of the Open API Access Guide.
sourceIdsarray<string>yesSource IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
destinationIdsarray<string>noSource IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
syslogbooleanyesEnable remote log
sourceTypeintegeryesSourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group; 8: Country; 9: Country Group; 11: !Network; 12: !IP Group; 13: !IP-Port Group; 14: !IPv6 Group; 15: !IPv6-port Group
destinationTypeintegeryesDestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group;10: Domain Group; 11: !Network; 12: !IP Group;13: !IP-Port Group;14: !IPv6 Group;15: !IPv6-port Group
directionGateway direction entityyes(Gateway direction entity not expanded; call omada_get_schema "Gateway direction entity")
stateModeintegeryesStateMode should be a value as follows: 0: auto; 1: manual
statesGateway ACL states entityno(Gateway ACL states entity not expanded; call omada_get_schema "Gateway ACL states entity")
timeRangeIdstringnoGateway ACL time range ID.
json
// omada_call_operation
{
  "operationId": "createOsgAcl",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new gateway ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

modifyOsgAcl ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-acls/{aclId}

Modify a gateway ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
aclIdpathstringyesACL ID

Request body — application/json (required) — schema GatewayACLConfig

FieldTypeRequiredDescription
descriptionstringyesACL rule description, description should contain 1 to 512 characters.
statusbooleanyesStatus should be a value as follows: 0: disable; 1: enable
policyintegeryesPolicy should be a value as follows: 0: drop; 1: allow;
protocolsarray<integer>yesFor the values of protocols, refer to section 5.5 of the Open API Access Guide.
sourceIdsarray<string>yesSource IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
destinationIdsarray<string>noSource IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
syslogbooleanyesEnable remote log
sourceTypeintegeryesSourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group; 8: Country; 9: Country Group; 11: !Network; 12: !IP Group; 13: !IP-Port Group; 14: !IPv6 Group; 15: !IPv6-port Group
destinationTypeintegeryesDestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group;10: Domain Group; 11: !Network; 12: !IP Group;13: !IP-Port Group;14: !IPv6 Group;15: !IPv6-port Group
directionGateway direction entityyes(Gateway direction entity not expanded; call omada_get_schema "Gateway direction entity")
stateModeintegeryesStateMode should be a value as follows: 0: auto; 1: manual
statesGateway ACL states entityno(Gateway ACL states entity not expanded; call omada_get_schema "Gateway ACL states entity")
timeRangeIdstringnoGateway ACL time range ID.
json
// omada_call_operation
{
  "operationId": "modifyOsgAcl",
  "params": {
    "siteId": "<siteId>",
    "aclId": "<aclId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a gateway ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

clearOsgAclHitCounts ​

POST /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-acls/hit-counts

Clear gateway ACL hit counts

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "clearOsgAclHitCounts",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Clear gateway ACL hit counts
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

getAclConfigTypeSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-config-mode

Get gateway ACL config mode

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getAclConfigTypeSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get gateway ACL config mode
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only

modifyAclConfigTypeSetting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-config-mode

Modify gateway ACL config mode

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Gateway ACL config mode entity

FieldTypeRequiredDescription
modeintegeryesGateway acl config mode should be a value as follows: 0: Through profiles; 1: Custom
json
// omada_call_operation
{
  "operationId": "modifyAclConfigTypeSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway ACL config mode
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.

getOsgCustomAclList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-custom-acls

Get osg custom ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOsgCustomAclList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get osg custom ACL.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.

updateOsgCustomAcls ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-custom-acls

Update osg custom ACLs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Gateway Custom ACL update entity

FieldTypeRequiredDescription
addsarray<GatewayCustomACLAddEntity>noAdded Custom ACLs.
deletesarray<string>noDeleted Custom ACLs.
modifiesarray<Gateway Custom ACL modify entity>noModified Custom ACLs.
json
// omada_call_operation
{
  "operationId": "updateOsgCustomAcls",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update osg custom ACLs.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.

clearOsgHitCounts ​

POST /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-custom-acls/hit-counts

Clear gateway custom ACL hit counts

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "clearOsgHitCounts",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Clear gateway custom ACL hit counts
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

modifyOsgCustomAclIndex ​

POST /openapi/v1/{omadacId}/sites/{siteId}/acls/osg-custom-acls/modifyIndex

Modify gateway custom ACL index

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DragSortIndexOpenapiVO

FieldTypeRequiredDescription
typestringyes"gateway" or "switch" or "eap"
indexesobjectyesThe order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set.
json
// omada_call_operation
{
  "operationId": "modifyOsgCustomAclIndex",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway custom ACL index
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

getOswAclList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/acls/osw-acls

Get switch ACL list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOswAclList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get switch ACL list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createOswAcl ​

POST /openapi/v1/{omadacId}/sites/{siteId}/acls/osw-acls

Create new switch ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SwitchACLConfig

FieldTypeRequiredDescription
descriptionstringyesACL rule description, description should contain 1 to 512 characters.
statusbooleanyesStatus should be a value as follows: 0: disable; 1: enable
policyintegeryesPolicy should be a value as follows: 0: drop; 1: allow;
protocolsarray<integer>yesFor the values of protocols, refer to section 5.5 of the Open API Access Guide.
sourceIdsarray<string>yesSource IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
destinationIdsarray<string>noSource IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
sourceTypeintegeryesSourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group
destinationTypeintegeryesDestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group
bindingTypeintegeryesBindingType should be a value as follows: 0: all ports; 1: custom ports; 2: all switch vlan; 3: custom switch vlan
customAclPortsarray<Switch ACL port entity>noOnly for bindingType is custom ports, select the custom port or LAG of the device
networkIdstringnoOnly for bindingType VLAN
bindingBridgeVlanintegernoOnly for bindingType VLAN and network of bridge VLAN
customAclOswsarray<string>noOnly for bindingType is custom switch vlan, list of selected switch mac
customAclStacksarray<string>noOnly for bindingType is custom switch vlan, list of selected stack id
customAclDevicesarray<CustomAclOswOpenApiVO>noOnly for bindingType is custom switch vlan, list of selected device
etherTypeSwitch ACL ether type entityyes(Switch ACL ether type entity not expanded; call omada_get_schema "Switch ACL ether type entity")
timeRangeIdstringnoTime range profile ID
biDirectionalbooleannoWhether to enable the bidirectional, this field required only when creating a new entry
json
// omada_call_operation
{
  "operationId": "createOswAcl",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new switch ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

modifyOswAcl ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/acls/osw-acls/{aclId}

Modify a switch ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
aclIdpathstringyesACL ID

Request body — application/json (required) — schema SwitchACLConfig

FieldTypeRequiredDescription
descriptionstringyesACL rule description, description should contain 1 to 512 characters.
statusbooleanyesStatus should be a value as follows: 0: disable; 1: enable
policyintegeryesPolicy should be a value as follows: 0: drop; 1: allow;
protocolsarray<integer>yesFor the values of protocols, refer to section 5.5 of the Open API Access Guide.
sourceIdsarray<string>yesSource IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
destinationIdsarray<string>noSource IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
sourceTypeintegeryesSourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group
destinationTypeintegeryesDestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group
bindingTypeintegeryesBindingType should be a value as follows: 0: all ports; 1: custom ports; 2: all switch vlan; 3: custom switch vlan
customAclPortsarray<Switch ACL port entity>noOnly for bindingType is custom ports, select the custom port or LAG of the device
networkIdstringnoOnly for bindingType VLAN
bindingBridgeVlanintegernoOnly for bindingType VLAN and network of bridge VLAN
customAclOswsarray<string>noOnly for bindingType is custom switch vlan, list of selected switch mac
customAclStacksarray<string>noOnly for bindingType is custom switch vlan, list of selected stack id
customAclDevicesarray<CustomAclOswOpenApiVO>noOnly for bindingType is custom switch vlan, list of selected device
etherTypeSwitch ACL ether type entityyes(Switch ACL ether type entity not expanded; call omada_get_schema "Switch ACL ether type entity")
timeRangeIdstringnoTime range profile ID
biDirectionalbooleannoWhether to enable the bidirectional, this field required only when creating a new entry
json
// omada_call_operation
{
  "operationId": "modifyOswAcl",
  "params": {
    "siteId": "<siteId>",
    "aclId": "<aclId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a switch ACL.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.